Ending Support for Windows XP and Vista

General Discussion
With the launch of Patch 2.6.1, we will be ending support for Windows XP and Windows Vista in Diablo III. Microsoft ceased mainstream support for these versions of Windows in 2009 and 2012, respectively, but since a decent portion of our audience was still using them at the time, we continued supporting them.

However, there have been three major Windows releases since Vista, and at this point, the vast majority of our audience has upgraded to one of the newer versions. After these older operating systems are no longer supported, Diablo III will not run on them, so we encourage any players who are still using one of the older OSes to upgrade to a newer version.

Join the Conversation

Return to Forum